summary refs log tree commit diff
path: root/pdf.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-08-16 18:00:42 -0400
committerJune McEnroe <june@causal.agency>2018-08-16 18:00:42 -0400
commit0460970a937191ee3ff70658503e7407d4cf6caa (patch)
treeb349321d4d920e9104603da0dd123079346b34eb /pdf.sh
parentShorten .local ssh names (diff)
downloadsrc-0460970a937191ee3ff70658503e7407d4cf6caa.tar.gz
src-0460970a937191ee3ff70658503e7407d4cf6caa.zip
Port all scripts to sh
Not hard, but having to escape ( ) inside [ ] had me confused for a bit.
Diffstat (limited to 'pdf.sh')
-rwxr-xr-xpdf.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/pdf.sh b/pdf.sh
new file mode 100755
index 00000000..90c73de1
--- /dev/null
+++ b/pdf.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e -u
+
+mkdir -p pdf
+
+fetch() {
+	[ -f "pdf/$1" ] && return
+	curl --silent --show-error --output "pdf/$1" "$2"
+	echo "pdf/$1"
+}
+
+elf() {
+	fetch "$1" "http://refspecs.linuxbase.org/elf/$2"
+}
+intel() {
+	fetch "$1" "https://software.intel.com/sites/default/files/managed/$2"
+}
+
+elf abi.pdf x86_64-abi-0.99.pdf
+elf elf.pdf elf.pdf
+fetch multiboot.pdf 'https://www.gnu.org/software/grub/manual/multiboot/multiboot.pdf'
+intel intel-64-opt.pdf 9e/bc/64-ia-32-architectures-optimization-manual.pdf
+intel intel-64-sdm-vol-1.pdf a4/60/253665-sdm-vol-1.pdf
+intel intel-64-sdm-vol-2.pdf a4/60/325383-sdm-vol-2abcd.pdf
+intel intel-64-sdm-vol-3.pdf a4/60/325384-sdm-vol-3abcd.pdf
+intel intel-64-sdm-vol-4.pdf 22/0d/335592-sdm-vol-4.pdf
+
+chmod 444 pdf/*.pdf